<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="MAXPID">
  <refnamediv>
    <refname>MAXPID</refname>
    <refpurpose>Représentation animée du bras MAXPID (Laboratoire de Sciences de l'Ingénieur des classes préparatoires aux Écoles d'Ingénieurs françaises)</refpurpose>
  </refnamediv>
  <refsection>
    <title>Aperçu</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../images/palettes/MAXPID.png" align="center" valign="middle"/>
          </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_MAXPID">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="MAXPID">Représentation animée du bras MAXPID</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_MAXPID">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_MAXPID">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_MAXPID">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_MAXPID">Fonction d'interfaçage</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_MAXPID">Fonction de calcul</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Seealso_MAXPID">Voir aussi</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_MAXPID">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          CPGE palette
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_MAXPID">
    <title>Description</title>
    <para>
Ce bloc permet de visualiser le mouvement du bras MAXPID, à partir de la valeur de l'angle du bras donnée en entrée (en radian).
</para>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="animation_maxpid.png" align="center" valign="middle"/>
          </imageobject>
      </inlinemediaobject>
</para>
  </refsection>
  <refsection id="Defaultproperties_MAXPID">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">toujours actif:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">transfert direct:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">détection de changement de signe:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">entrées normales:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1, 1] / type 1.</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre/tailles des entrées évènementielles :</emphasis> 1</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre/tailles des sorties évènementielles :</emphasis> 0</para>
      </listitem>
      <listitem>
          <para><emphasis role="bold">possède un état continu :</emphasis> non</para>
      </listitem>
      <listitem>
          <para><emphasis role="bold">possède un état discret :</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un objet à temps discret :</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">nom de la fonction de calcul :</emphasis>
          <emphasis role="italic">MAXPID_sim</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_MAXPID">
    <title>Fonction d'interfaçage</title>
    <itemizedlist>
      <listitem>
        <para> CPGE_TOOLBOX/macros/MAXPID.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_MAXPID">
    <title>Fonction de calcul</title>
    <itemizedlist>
      <listitem>
        <para> CPGE_TOOLBOX/macros/MAXPID_sim.sci (Type 5)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Example_MAXPID">
    <title>Exemple</title>
<para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center" fileref="../../examples/exemple_maxpid.png" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
</para>
<para>      
      <link type="scilab" linkend="scilab.xcos/../../examples/exemple_maxpid.xcos">Ouvrir l'exemple dans Xcos</link>   
</para>
  </refsection>
  <refsection id="Seealso_MAXPID">
    <title>Voir aussi</title>
    <itemizedlist>
    </itemizedlist>
  </refsection>
</refentry>
